#!/bin/bash

XSL_SCRIPT="../../../CAVIARtoECNarrative.xsl"
OUT_DIR="transformed"
SAXON_HOME="../saxonb9"

SAXON_CP="."
for name in `ls $SAXON_HOME/*.jar`
do
        SAXON_CP=$SAXON_CP:"../../"$name
done

RUN_SAXON="java -cp $SAXON_CP  net.sf.saxon.Transform "

#echo $RUN_SAXON
#exit;
if [ ! -d $OUT_DIR ]; then
    mkdir $OUT_DIR
elif [ -d $OUT_DIR ]; then
    echo "The output directory '$OUT_DIR' exist."
    exit 1
fi


for i in `ls *.xml`;
do
	currDIR=$OUT_DIR"/"`basename $i .xml`
	mkdir $currDIR
	cd $currDIR
	$RUN_SAXON ../../$i $XSL_SCRIPT
	cd ../../
done

